> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateUserPayPercentage

> The `updateUserPayPercentage` API is used to modify the payPercentage for an employee's bank account

### What it does:
- Changes the pay allocation if the employee has more than one bank account set up

### Notes: 
- PayPercentage can only be updated for non-primary accounts
- The payPercentage that is added/removed from the account will be balanced out by recalculating the payPercentage in the **Primary bank account**
- A bank account with 0% allocation is considered deactivated for payroll purposes but is maintaned for audit. This account will not recieve funds when the employee is paid



## OpenAPI

````yaml put /userPortal/updateUserPayPercentage
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userPortal/updateUserPayPercentage:
    put:
      tags: []
      summary: updateUserPayPercentage
      description: >-
        The `updateUserPayPercentage` API is used to modify the payPercentage
        for an employee's bank account


        ### What it does:

        - Changes the pay allocation if the employee has more than one bank
        account set up


        ### Notes: 

        - PayPercentage can only be updated for non-primary accounts

        - The payPercentage that is added/removed from the account will be
        balanced out by recalculating the payPercentage in the **Primary bank
        account**

        - A bank account with 0% allocation is considered deactivated for
        payroll purposes but is maintaned for audit. This account will not
        recieve funds when the employee is paid
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                userPayAccountEntity:
                  type: object
                  properties:
                    userPayAccountEntityId:
                      type: string
                    payPercentage:
                      type: number
                  required:
                    - userPayAccountEntityId
                    - payPercentage
              required:
                - method
                - userPayAccountEntity
            example:
              method: updateUserPayPercentage
              userPayAccountEntity:
                userPayAccountEntityId: 7CB1745C-28E6-4E2F-9028-FF34F4E6A3A0
                payPercentage: 50
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  userPayAccountEntity:
                    type: object
                    properties:
                      userPayAccountEntityId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userPayAccountEntityId
                      - status
                      - message
                required:
                  - userPayAccountEntity
              example:
                userPayAccountEntity:
                  userPayAccountEntityId: 00779759-E315-45A6-B30C-2EBDFA97FC4A
                  status: pending
                  message: The User pay account Entity has been updated successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid userPayAccountEntityId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````